# TODO
# - maybe related:
#  - http://pecl.php.net/bugs/bug.php?id=7141
%define		php_name	php%{?php_suffix}
%define		modname	APC
%define		status		beta
Summary:	%{modname} - Alternative PHP Cache
Summary(pl.UTF-8):	%{modname} - alternatywne cache PHP
Name:		%{php_name}-pecl-%{modname}
Version:	3.1.13
Release:	3
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	c9e47002e3a67ebde3a6f81437c7b6e0
URL:		http://pecl.php.net/package/APC/
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
Provides:	php(apc) = %{version}
Obsoletes:	php-pear-%{modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
APC is the Alternative PHP Cache. It was conceived of to provide a
free, open, and robust framework for caching and optimizing PHP
intermediate code.

In PECL status of this package is: %{status}.

%description -l pl.UTF-8
APC to alternatywne cache PHP. W wyobrażeniach miało dostarczać
wolnodostępny, otwarty i potężny szkielet do buforowania i
optymalizowania kodu pośredniego PHP.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

cat <<'EOF' > %{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
apc.enabled=1
;apc.optimization=0
;apc.shm_segments=1
;apc.shm_size=32
;apc.cache_by_default=1
;apc.max_file_size=1M
;apc.num_files_hint=1024
;apc.gc_ttl=3600
;apc.ttl=0
;apc.mmap_file_mask=/tmp/apc.XXXXXX
;apc.filters=
;apc.stat=1
;apc.enable_cli=0
EOF

%build
phpize
%configure \
	--%{!?debug:dis}%{?debug:en}able-apc-debug \
	--enable-apc-mmap
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -D modules/apc.so $RPM_BUILD_ROOT%{php_extensiondir}/%{modname}.so
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
cp -a %{modname}.ini $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CHANGELOG INSTALL NOTICE apc.php
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Mon Oct 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-APC.git;a=log;h=master

* Mon Oct 07 2013 Elan Ruusamäe <glen@delfi.ee> a540649
- provide php(acpu) for virtual deps

* Fri Jul 19 2013 Elan Ruusamäe <glen@delfi.ee> 49f76ed
- release 2 (by relup.sh)

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 50bedef
- support building for multiple php versions

* Fri Sep 14 2012 Łukasz Kieś <kiesiu@pld-linux.org> 01250d1
- revert removed in last commit configure debug option, it's needed to build debugging provided by library itself (info provided by glen)

* Fri Sep 14 2012 Łukasz Kieś <kiesiu@pld-linux.org> 6320d8c
- udated to 3.1.13
- there is no such bcond like debug

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 342b7f3
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> e2823e0
- release 2 (by relup.sh)

* Sun Jun 24 2012 Łukasz Kieś <kiesiu@pld-linux.org> 52c2020
- updated to 3.1.10

* Wed Jul 06 2011 arvenil <arvenil@pld-linux.org> 3f1fbbb
- up to 3.1.9
  (fixes: http://pecl.php.net/bugs/bug.php?id=22687)

* Sun May 29 2011 zbyniu <zbyniu@pld-linux.org> ac5c514
- up to 3.1.8

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ad65c3
- release 2

* Thu Nov 04 2010 pawelz <pawelz@pld-linux.org> 79a8a7d
- up to 3.1.5

* Tue Sep 21 2010 pawelz <pawelz@pld-linux.org> 5a62a7f
- up to 3.1.4

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> b5b87ee
- release 2

* Tue Aug 18 2009 Adam Gołębiowski <adamg@pld-linux.org> 551f857
- updated to 3.1.3p1

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> 9e89314
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Tue Aug 12 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7c90cb1
- bug is marked as fixed; libtool hack not needed; include apc.php in doc

* Sun Aug 10 2008 zergin <zergin@pld-linux.org> 94154ef
- fix for m4 macros

* Wed Jun 25 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 871a709
- rel 2; common config for all SAPIs (no longer requires all sapis to be installed (due to directory deps))

* Sat May 17 2008 Adam Gołębiowski <adamg@pld-linux.org> 6dbd1bc
- updated to 3.0.19

